Name: jigdo
Version: 0.7.3
Release: alt2

Summary: Jigsaw Download
License: GPL
Group: Networking/File transfer

Url: http://atterer.net/jigdo
Source: %url/%name-%version.tar.bz2

Packager: Vladimir V Kamarzin <vvk@altlinux.ru>

# Automatically added by buildreq on Mon Aug 29 2005
BuildPreReq: ImageMagick
BuildRequires: bzlib-devel fontconfig freetype2 gcc-c++ glib2-devel
BuildRequires: libatk-devel libcurl-devel libdb4-devel libgtk+2-devel
BuildRequires: libidn-devel libpango-devel libssl-devel libstdc++-devel
BuildRequires: pkg-config wget zlib-devel

%description
Jigsaw Download, or short jigdo, is an intelligent tool that can be used on the
pieces of any chopped-up big file to create a special "template" file which
makes reassembly of the file very easy for users who only have the pieces.

What makes jigdo special is that there are no restrictions on what
offsets/sizes the individual pieces have in the original big image. This makes
the program very well suited for distributing CD/DVD images (or large zip/tar
archives) because you can put the files of the CD on an FTP server - when jigdo
is presented the files along with the template you generated, it is able to
recreate the CD image.

%package file
Summary: Prepare files for Jigsaw Download (distribution of huge files, e.g. CD images)
Group: Networking/File transfer

%description file
Prepare files for Jigsaw Download (distribution of huge files, e.g. CD images).

%package mirror
Summary: Maintain a mirror of images offered with jigdo
Group: Networking/File transfer

%description mirror
jigdo-mirror is a script intended for people who want to offer direct HTTP or FTP
downloads of files for which only the jigdo and template files are available.

%prep
%setup -q

%build
%configure
%make

%install
%makeinstall
mkdir -p %buildroot%_iconsdir
convert gfx/jigdo-icon.png -geometry 32 %buildroot%_iconsdir/%name.png

# menu
cat <<EOF >%name.desktop
[Desktop Entry]
Encoding=UTF-8
Type=Application
Exec=%_bindir/%name
Icon=%_iconsdir/%name.png
Terminal=0
Name=%name
Comment=%summary
Categories=Application;Network;
EOF

install -pD -m0644 %name.desktop %buildroot%_desktopdir/%name.desktop

%find_lang %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%_bindir/%name
%_mandir/man1/%name.1.gz
%dir %_datadir/%name
%_datadir/%name/pixmaps/*
%_desktopdir/%name.desktop
%_iconsdir/*
%doc README doc/TechDetails.txt doc/%name.html

%files file
%_bindir/%name-file
%_bindir/%name-lite
%_mandir/man1/%name-file.1.bz2
%_mandir/man1/%name-lite.1.gz
%doc doc/%name-file.html doc/%name-lite.html

%files mirror
%_bindir/%name-mirror
%_man1dir/%name-mirror.1.gz
%doc doc/%name-mirror.html

%changelog
* Tue Mar 27 2007 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.3-alt2
- Rebuild with libcurl.so.4

* Tue Jun 06 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.3-alt1
- 0.7.3
- Added .desktop file

* Wed Feb 01 2006 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt4
- Corrected buildrequires (libdb4.3-devel->libdb4-devel)

* Mon Oct 10 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt3
- rebuild with libdb4.3

* Tue Sep 13 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt2
- fixed package ownership of %_datadir/%name
- minor spec cleanup
- added Packager tag

* Tue Aug 30 2005 Vladimir V Kamarzin <vvk@altlinux.ru> 0.7.2-alt1
- Initial build for Sisyphus.
